    # File lib/fog/core/service.rb, line 132
          def coerce_options(options)
            options.each do |key, value|
              value_string = value.to_s.downcase
              if value.nil?
                options.delete(key)
              elsif value == value_string.to_i.to_s
                options[key] = value.to_i
              else
                options[key] = case value_string
                when 'false'
                  false
                when 'true'
                  true
                else
                  value
                end
              end
            end
          end